Subject: bug#62718: closed (Re: bug#62718: 30.0.50; Eglot compile error due to invalid version syntax)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Apr 2023 21:49:01 +0000

Your bug report

#62718: 30.0.50; Eglot compile error due to invalid version syntax

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62718: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62718
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62718: 30.0.50; Eglot compile error due to invalid version syntax
From: João Távora <[email-masked]>
To: Casey Banner <[email-masked]>, [email-masked]
Date: Fri, 7 Apr 2023 22:49:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Should be fixed as of cc288a0e331d09e3e0aebcb83769a513ecad236f.

make succeeds (it didn't fail before for me, but that's maybe
because I wasn't using make bootstrap).  Closing this, but let
me know if you still experience problems.

João

On Fri, Apr 7, 2023 at 10:27 PM João Távora <[email-masked]> wrote:
>
> Ack. Just introduced this, will fix asap.
>
> On Fri, Apr 7, 2023, 21:48 Casey Banner <[email-masked]> wrote:
>>
>> With the following configuration (building on windows):
>>
>>  ../configure --prefix=/e/dev/emacs-src --without-dbus --without-pop
>> --with-native-compilation --with-cairo --with-harfbuzz --with-xml2
>> --without-compress-install --with-json  CFLAGS="-O2 -mtune=native
>> -march=native -fomit-frame-pointer -pipe -ftree-vectorize"
>>
>> I'm seeing this error building emacs as of
>> 621e732ade0f3dc165498ebde4d55d5aacb05b56:
>>
>> Error: error ("Invalid version syntax: `Eglot 1.10' (must start with a number)")
>>   mapbacktrace(#f(compiled-function (evald func args flags) #<bytecode
>> -0x3628af24b9119ba>))
>>   debug-early-backtrace()
>>   debug-early(error (error "Invalid version syntax: `Eglot 1.10' (must
>> start with a number)"))
>>   error("Invalid version syntax: `%s' (must start with a number)" "Eglot 1.10")
>>   version-to-list("Eglot 1.10")
>>   version<("Eglot 1.10" "24.5")
>>   #f(compiled-function (e1 e2) #<bytecode 0x70981d4f91fa908>)(("Eglot
>> 1.10" eglot) ("24.5" vc-hg erc-stamp mml2015 flyspell erc))
>>
>>
>>

-- 
João Távora

Subject: 30.0.50; Eglot compile error due to invalid version syntax
From: Casey Banner <[email-masked]>
To: [email-masked]
Date: Fri, 7 Apr 2023 16:47:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

With the following configuration (building on windows):

 ../configure --prefix=/e/dev/emacs-src --without-dbus --without-pop
--with-native-compilation --with-cairo --with-harfbuzz --with-xml2
--without-compress-install --with-json  CFLAGS="-O2 -mtune=native
-march=native -fomit-frame-pointer -pipe -ftree-vectorize"

I'm seeing this error building emacs as of
621e732ade0f3dc165498ebde4d55d5aacb05b56:

Error: error ("Invalid version syntax: `Eglot 1.10' (must start with a number)")
  mapbacktrace(#f(compiled-function (evald func args flags) #<bytecode
-0x3628af24b9119ba>))
  debug-early-backtrace()
  debug-early(error (error "Invalid version syntax: `Eglot 1.10' (must
start with a number)"))
  error("Invalid version syntax: `%s' (must start with a number)" "Eglot 1.10")
  version-to-list("Eglot 1.10")
  version<("Eglot 1.10" "24.5")
  #f(compiled-function (e1 e2) #<bytecode 0x70981d4f91fa908>)(("Eglot
1.10" eglot) ("24.5" vc-hg erc-stamp mml2015 flyspell erc))